/* Rexx */
IF RxFuncQuery('SysLoadFuncs') THEN DO
   CALL RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
   CALL SysLoadFuncs
END

CALL SysFileTree "JUNKBUST.EXE", File,"FO"
IF file.0>0 THEN
  Exename="junkbust.exe"  /* only found on a fat-drive */
ELSE
  Exename="junkbuster.exe" /* assume hpfs-drive */

ValidResponse = 'YN';
YesKey        = LEFT(ValidResponse, 1);
NoKey         = RIGHT(ValidResponse, 1);

SAY;
SAY "This scripts creates an icon on your desktop for the OS/2 version of"
SAY "the Internet JunkBuster."
SAY;
SAY "It is now possible to install two different versions of Junkbuster:"
SAY "1. You can install the generic version from www.junkbusters.com"
SAY "2. As an alternative you can install an enhanced version of Junkbuster"
SAY "   which shows blocked GIF- or JPEG-Ads as a 1x1 transparent gif."
SAY "   If you install this version please consult the file README.OS2!"
SAY;
CALL CHAROUT ,'Install GIF-enhanced Junkbuster' '('YesKey'/'NoKey') '
DO WHILE (POS(ch, ValidResponse) = 0)
  ch = SysGetKey('NOECHO');
  ch = TRANSLATE(ch);
  IF (POS(ch, ValidResponse) = 0) THEN BEEP(800, 200);
END;
SAY ch;
SAY;

IF (ch = YesKey) THEN
 rc = SysCreateObject("WPProgram","OS/2 GIF-Junkbuster 2.01","<WP_DESKTOP>", "EXENAME=" || Directory() || "\" || "ijb-gif.exe" || ";PROGTYPE=WINDOWABLEVIO;HELPPANEL=8010;CCVIEW=YES;STARTUPDIR="||directory()||"\..\config;PARAMETERS=config.ijb;OBJECTID=<JUNKBUSTER_GIF>;MINIMIZED=YES","R")
ELSE
 rc = SysCreateObject("WPProgram","OS/2 Junkbuster 2.01","<WP_DESKTOP>", "EXENAME=" || Directory() || "\" || exename || ";PROGTYPE=WINDOWABLEVIO;HELPPANEL=8010;CCVIEW=YES;STARTUPDIR="||directory()||"\..\config;PARAMETERS=config.ijb;OBJECTID=<JUNKBUSTER>;MINIMIZED=YES","R")

